Subject: Re: bug#68119: [GNU automake 1.16.5] test-suite 45 tests failed

From: Erik A Johnson <[email-masked]>
Date: Thu, 4 Jan 2024 06:52:22 +0000

FYI, macOS has an old bison (version 2.3 from 2006).  Installing the current version of bison (3.8.2) eliminated most of the yacc errors.  Here's what I get now with 1.16j ...

FAIL: t/aclocal-deleted-header-aclocal-amflags
FAIL: t/aclocal-deleted-header
FAIL: t/aclocal-deps
FAIL: t/py-compile-basedir
FAIL: t/subdir-add2-pr46
FAIL: t/yacc-mix-c-cxx

In both aclocal-deleted-header.sh and aclocal-deleted-header-aclocal-amflags.sh, isn't an additional "$ACLOCAL -I . && $AUTOMAKE && $AUTOCONF && ./configure" needed before the second $MAKE?

> On Jan 3, 2024, at 3:07 PM, Karl Berry <[email-masked]> wrote:
>
>    Using am_cv_sleep_fractional_seconds=false dropped it to 7-11 tests failing.
>
> Erik, thanks for all the trials and detailed analysis.
> Nothing is immediately clear to me either :(, but I'll take a look. -k